# dictionary-lb-lu

Luxembourgish (Luxembourg) spelling dictionary in UTF-8.

Useful with [hunspell][hunspell] ([node bindings][nodehun]), Open Office,
LibreOffice, FireFox and Thunderbird, or [place them in
`~/Library/Spelling`][osx] on OS X.

Generated by [**wooorm/dictionaries**][dictionaries], from [this
dictionary][source].

## Installation

[npm][npm]:

```bash
npm install dictionary-lb-lu
```

## Usage

```js
var lbLU = require('dictionary-lb-lu');

lbLU(function (err, result) {
    if (err) throw err;

    console.log(result);
    /*
     * Yields:
     * { dic: <Buffer>,
     *   aff: <Buffer> }
     */
});
```

Where `dic` is a buffer for the dictionary file at `index.dic` (in UTF-8), and
`aff` is a buffer for the affix file at `index.aff` (in UTF-8).

Or directly load the files, using something like:

```js
var path = require('path');
var base = require.resolve('dictionary-lb-lu');

// NEVER USE `readFileSync` IN PRODUCTION.
fs.readFileSync(path.join(base, 'index.dic'), 'utf-8');
fs.readFileSync(path.join(base, 'index.aff'), 'utf-8');
```

## License

Dictionary and affix file: [EUPL-1.1][license]. Rest: MIT ©
[Titus Wormer][home].

[hunspell]: http://hunspell.sourceforge.net

[nodehun]: https://github.com/nathanjsweet/nodehun

[osx]: https://github.com/wooorm/dictionaries#os-x

[source]: http://extensions.openoffice.org/en/project/luxembourgish-dictionary-and-thesaurus

[npm]: https://docs.npmjs.com/cli/install

[license]: LICENSE

[dictionaries]: https://github.com/wooorm/dictionaries

[home]: https://wooorm.com
